<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaRequiredFields StructType
 * @subpackage Structs
 */
class JP_VisaRequiredFields extends AbstractStructBase
{
    /**
     * The VisaBooking
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaBooking
     */
    public $VisaBooking;
    /**
     * Constructor method for JP_VisaRequiredFields
     * @uses JP_VisaRequiredFields::setVisaBooking()
     * @param \StructType\JP_VisaBooking $visaBooking
     */
    public function __construct(\StructType\JP_VisaBooking $visaBooking = null)
    {
        $this
            ->setVisaBooking($visaBooking);
    }
    /**
     * Get VisaBooking value
     * @return \StructType\JP_VisaBooking|null
     */
    public function getVisaBooking()
    {
        return $this->VisaBooking;
    }
    /**
     * Set VisaBooking value
     * @param \StructType\JP_VisaBooking $visaBooking
     * @return \StructType\JP_VisaRequiredFields
     */
    public function setVisaBooking(\StructType\JP_VisaBooking $visaBooking = null)
    {
        $this->VisaBooking = $visaBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
